Jump to content

Unable to Login with Roku Devices


Ravenshield

Recommended Posts

Ravenshield

I can login with Chrome and Firefox on multiple devices but all my Roku Devices just give a username/password error.

I've reset the password to something else, same issue.

I've rebooted both the ROKU device(s) and the Emby Server but no luck.

 

Emby is running in a FreeNas jail.

Main Roku device is a Sharp TV, but an Express is also doing the same thing.

 

 

log.txt

Link to post
Share on other sites
ebr

Hi.  What version of the app do you have?

Edit: Never mind.  You are running a very old version of the server and it will need to be updated.

Link to post
Share on other sites
ebr
1 minute ago, Ravenshield said:

Just updated to 4.2.1.0 and it did not solve the issue.

Hi.  That is a server version and our current version is 4.5.4.

Link to post
Share on other sites
Ravenshield

That version is not available under this version of FreeNAS.

Did you some how time bomb previous builds?

Link to post
Share on other sites
ebr

Hi.  There is no "time bomb".  There just are changes that are not compatible with very old versions.  Is 4.2 the highest available for your platform?

Link to post
Share on other sites
Ravenshield

There is no higher version available to install as a plugin.

I updated the existing jail rather then blowing it away and reinstalling a fresh plugin.

Link to post
Share on other sites
Ravenshield

I built  a brand new jail as a test running 4.2.0.1 and it also encountered the same problem.

Did you update the ROKU app to remove support for older server versions?

Link to post
Share on other sites
ebr
13 hours ago, Ravenshield said:

Did you update the ROKU app to remove support for older server versions?

Not to explicitly remove anything but, rather:

15 hours ago, ebr said:

There just are changes that are not compatible with very old versions.

The current Roku app requires at least Emby 4.4.1 which is just about a year old now.

Link to post
Share on other sites
Ravenshield

I've been using it until the date of this post without an issue. And the last release notes from the sticky Roku post is from 2019.

That doesn't make any sense

Link to post
Share on other sites
ebr
3 minutes ago, Ravenshield said:

And the last release notes from the sticky Roku post is from 2019.

Hi.  The Roku app was just updated and the release notes do include the latest update. 

Link to post
Share on other sites
Yaragreyjoy

I'm really, really angry right now. I have been PAYING monthly for Emby premiere on two servers and now I can not access them at all via my two Rokus and my 65" TCL Roku TV.

My Macs are running Sierra 10.12.3 and I am unable to update the OS on them due to their age. As a side effect of that I am unable to update Emby beyond 4.2.1.0

This is absolutely and completely unacceptable and I'm furious beyond belief at this thoughtless, uncaring and inconsiderate move by you folks.

FIX THIS! I AM A PAYING CUSTOMER AND I CAN NOT ACCESS MY SERVERS !

Link to post
Share on other sites

Same problem... cannot login since Roku app was auto updated (beta also).

Our server was running flawlessly for over a year with many custom preferences for users which we do not want to disturb.

This Roku app upgrade was forced, we were not given the option to decline or revert. Now everything is broken leaving no other alternative but too upgrade the server. The last time we attempted to upgrade the server failed miserably on Raspberry and we lost everything requiring days to rebuild.

Is that not the definition of a "timebomb" as @Ravenshield mentioned?

 

Link to post
Share on other sites
ebr

Hi.  We apologize for this situation but, in order to keep up with server developments, sometimes we must also update the apps and maintaining backwards compatibility for very old versions is sometimes just not possible or practical.

3 minutes ago, taxi2k said:

Our server was running flawlessly for over a year with many custom preferences for users which we do not want to disturb.

Hi.  Upgrading should not disturb your current settings.

Link to post
Share on other sites
ebr
2 minutes ago, taxi2k said:

This Roku app upgrade was forced, we were not given the option to decline or revert

Unfortunately, this is not up to us.  This is just how the Roku platform works.

Link to post
Share on other sites

Thank you for the reply. 

I understand and can imagine the challenges developing and improving Emby while supporting a large userbase over such a wide range of devices. I appreciate the fine work and assistance resolving issues over the years. Our past experiences upgrading has unfortunately proven anything but smooth. We will of course backup and attempt to upgrade however, each time new things break which is why I expect many are reluctant to perform and prefer to maintain a working system. If that is not possible, to remain on older versions, fine. but it should be known. I have not yet checked if this also effects the Fire Stick announces an upgrade is available and at least gives the option to upgrade or not.   

Although not intended, this forced upgrade has broken working systems on all versions <4.4.1 as others above detailed.

This could lead some to interpret as an intentional act or "timebomb". Perhaps a heads up announcement before a forced update is rolled out or something in the FAQ would help IMHO.

Edited by taxi2k
Link to post
Share on other sites
ebr
2 hours ago, taxi2k said:

upgrading has unfortunately proven anything but smooth

Sorry you have had issues in the past.  Unfortunately, this can be a bit of a double-edged sword as, the longer you wait to upgrade, the more likely it is for problems to occur.

Please let us know if you run into issues on this upgrade.

Link to post
Share on other sites
cstorey1
20 hours ago, ebr said:

Sorry you have had issues in the past.  Unfortunately, this can be a bit of a double-edged sword as, the longer you wait to upgrade, the more likely it is for problems to occur.

Please let us know if you run into issues on this upgrade.

I'm still getting kicked to the homescreen of Roku when I try to load the app.

I'm running Windows Server Version 4.6.0.29 beta

Emby Roku Beta App Version 4.0 Build 18

Roku Software Version 9.4.0 Build 4200

Link to post
Share on other sites
ebr

Hi.  Why did you update to the beta server?  I'm not sure if it is related but the beta should only be for testing at this point.

Can you post the server log from when you tried to login?

Link to post
Share on other sites
cstorey1
55 minutes ago, ebr said:

Hi.  Why did you update to the beta server?  I'm not sure if it is related but the beta should only be for testing at this point.

Can you post the server log from when you tried to login?

Thanks for replying.

I've been running beta server for over a year when it was recommended I switch to it to fix an issue I was having. Just never changed back as it worked pretty reliably (or was quickly fixed after reporting an unexpected error).

Attaching my most recent log after a full system restart (computer, Roku) and retry.

embyserver.txt

Link to post
Share on other sites
ebr

I cannot find any reference to Roku in that server log.  Are you sure the address you are connecting to is correct?

Link to post
Share on other sites
cstorey1
7 hours ago, ebr said:

I cannot find any reference to Roku in that server log.  Are you sure the address you are connecting to is correct?

Nothing changed on my end to my knowledge.

I decided to delete the beta server and install the 4.5.4.0 build fresh and did a fresh install of the Emby release app for Roku. It seems to connect now.

Link to post
Share on other sites
ebr

Okay, good.  Let us know if you run into it again.

Link to post
Share on other sites
nesbit

Like the user above, I am also running Sierra 10.12.5 and am unable to update past Emby Server 4.2.1.0. As of the last Roku update I can’t connect on any of my 3 rook devices.

I am wondering if I can get the previous version of the roku app somewhere and attempt to sideload it onto my roku devices? That version worked perfectly for me.

Any help would be appreciated. Otherwise, Since it's not an option for me to buy a new mac, I guess I have been left behind by the latest updates... 🙁

Link to post
Share on other sites
Luke
3 hours ago, nesbit said:

Like the user above, I am also running Sierra 10.12.5 and am unable to update past Emby Server 4.2.1.0. As of the last Roku update I can’t connect on any of my 3 rook devices.

I am wondering if I can get the previous version of the roku app somewhere and attempt to sideload it onto my roku devices? That version worked perfectly for me.

Any help would be appreciated. Otherwise, Since it's not an option for me to buy a new mac, I guess I have been left behind by the latest updates... 🙁

Hi there, why are you unable to update the server past 4.2.1?

Link to post
Share on other sites

Create an account or sign in to comment

You need to be a member in order to leave a comment

Create an account

Sign up for a new account in our community. It's easy!

Register a new account

Sign in

Already have an account? Sign in here.

Sign In Now
×
×
  • Create New...